<?php
// The source code packaged with this file is Free Software.
// Portions are Copyright (C) 2005 by Ricardo Galli <gallir at uib dot es>.
// Portions are Copyright (C) 2005 - 2008 by Pligg <www.pligg.com>.
// Portions are Copyright (C) 2008 by the Social Web CMS Team <swcms@socialwebcms.com>.
// It's licensed under the AFFERO GENERAL PUBLIC LICENSE unless stated otherwise.
// You can get copies of the licenses here: http://www.affero.org/oagpl.html
// AFFERO GENERAL PUBLIC LICENSE is also included in the file called "COPYING".

/*
very basic mailer class

howto:

mailer_start();
$mailer = new PliggMailer('Welcome to Pligg', 'Welcome to Pligg.Com. Thanks for joining!', 'admin@pligg.com', 'user@user.com');
$mailer->send();

mailer_start -- in utils.php, checks to see if another mailer is being used (like Swift Mailer)
  -- if it is, then include the code for that and use it
  -- if not, include this class, and use it

PliggMailer(subject, body, to, from);

Currently only supports 1 to address

Returns true if success, false if failure.

*/

if(!defined('mnminclude')){header('Location: ../404error.php');}

class PliggMailer{

	var $subject = '';
	var $body = '';
	var $from = '';
	var $to = '';

	function PliggMailer($subj = '', $body = '', $from = '', $to = '', $cc = '', $bcc = ''){

		if($subj != ''){$this->subject = $subj;}
		if($body != ''){$this->body = $body;}
		if($from != ''){$this->from = $from;}

		if(isset($to) && !is_array($to)){$to[] = $to;}
		$this->to = $to;
			
		if(isset($cc) && $cc != '' && !is_array($cc)){$cc[] = $cc;}
		$this->cc = $cc;
		
		if(isset($bcc) && $bcc != '' &&  !is_array($bcc)){$bcc[] = $bcc;}
		$this->bcc = $bcc;

	}

	function send(){

		if($this->from != ''){
			$headers = 'From: ' . $this->from;
		} else {
			$headers = '';
		}

    $send_to = implode(',', $this->to);

		if(mail($send_to, $this->subject, $this->body, $headers)){
			return true;
		} else {
			return false;
		}

	}
}

?>
